import subprocess
import threading

def run_bot(bot_file):
    subprocess.run(['python3', bot_file])

if __name__ == "__main__":
    # ایجاد thread ها
    main_bot = threading.Thread(target=run_bot, args=('bot.py',))
    admin_bot = threading.Thread(target=run_bot, args=('admin_bot.py',))
    
    # شروع thread ها
    main_bot.start()
    admin_bot.start()
    
    # منتظر اتمام thread ها
    main_bot.join()
    admin_bot.join()